unit koerper_U;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ComCtrls, StdCtrls, ExtCtrls, Math;

type
  TForm1 = class(TForm)
    PageControl1: TPageControl;
    TabSheet1: TTabSheet;
    Label1: TLabel;
    Label2: TLabel;
    Image1: TImage;
    Label3: TLabel;
    Label4: TLabel;
    Edit1: TEdit;
    Label5: TLabel;
    Edit2: TEdit;
    Label6: TLabel;
    Edit3: TEdit;
    Label7: TLabel;
    Label8: TLabel;
    Edit4: TEdit;
    Label9: TLabel;
    Edit5: TEdit;
    BQuader: TButton;
    TabSheet2: TTabSheet;
    Label10: TLabel;
    Label11: TLabel;
    Image2: TImage;
    Label12: TLabel;
    Label13: TLabel;
    Edit6: TEdit;
    Label14: TLabel;
    Edit7: TEdit;
    Label15: TLabel;
    Label16: TLabel;
    Edit8: TEdit;
    Label17: TLabel;
    Edit9: TEdit;
    BZylinder: TButton;
    TabSheet3: TTabSheet;
    Label18: TLabel;
    Label19: TLabel;
    Image3: TImage;
    Label20: TLabel;
    Label21: TLabel;
    Edit10: TEdit;
    Label22: TLabel;
    Edit11: TEdit;
    Label23: TLabel;
    Label24: TLabel;
    Edit12: TEdit;
    Label25: TLabel;
    Edit13: TEdit;
    BPyramide: TButton;
    procedure BQuaderClick(Sender: TObject);
    procedure BZylinderClick(Sender: TObject);
    procedure BPyramideClick(Sender: TObject);
    
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.BQuaderClick(Sender: TObject);
var
  a, b, c, V, AO: double;
begin
  //Eingabe
  a := StrToFloat(Edit1.Text);
  b := StrToFloat(Edit2.Text);
  c := StrToFloat(Edit3.Text);
  //Verarbeitung
  V := a * b * c;
  AO := 2*(a*b + a*c + b*c);
  //Ausgabe
  Edit4.Text := FloatToStrF(V,ffFixed,6,2);
  Edit5.Text := FloatToStrF(AO,ffFixed,6,2);  
end;

procedure TForm1.BZylinderClick(Sender: TObject);
var
  r, h, V, AO: double;
begin
  //Eingabe
  r := StrToFloat(Edit6.Text);
  h := StrToFloat(Edit7.Text);
  //Verarbeitung
  V := Pi * h * Power(r,2);
  AO := 2*Pi*r*(r+h);
  //Ausgabe
  Edit8.Text := FloatToStrF(V,ffFixed,6,2);
  Edit9.Text := FloatToStrF(AO,ffFixed,6,2);
end;



procedure TForm1.BPyramideClick(Sender: TObject);
var
  a, h, V, AO, AG, h_seite, A_seite: double;
begin
  //Eingabe
  a := StrToFloat(Edit10.Text);
  h := StrToFloat(Edit11.Text);
  //Verarbeitung
  V := 1/3 * Power(a,2) * h;
  h_seite := SQRT(Power(h,2) + Power(a/2,2));
  A_seite := 1/2 * a * h_seite;
  AG := Power(a,2);
  AO := 4 * A_seite + AG;
  //Ausgabe
  Edit12.Text := FloatToSTrF(V,ffFixed,6,2);
  Edit13.Text := FloatToStrF(AO,ffFixed,6,2);
end;

end.
